1. Wallet
BPN OpenAPI
  • Get started
    • Introduction to BPN
    • Introduction to API
    • Architecture Overview
    • Authentication
    • Environments
    • Response envelope
    • Idempotency
  • Guides
    • Virtual Account
      • Virtual Account Overview
      • VA · Payin
      • VA · Statuses
      • VA · Currencies & limits
      • VA · Payout
      • VA · RFI
      • VA Opening
        • VND VA Opening
        • BRL VA Opening
    • Wallet
      • Wallet · Transfer
      • Wallet · Assets & limits
      • Wallet · Deposit whitelist
      • Wallet · PaymentLink
      • Wallet Overview
      • Wallet · Deposit
      • Wallet · Statuses
      • Wallet · Withdraw
    • Convert
      • Convert Overview
      • Convert · Quote & submit
      • Convert · Business types
      • Convert · Pairs & limits
      • Convert · Statuses
  • API Reference
    • Virtual Account
      • Virtual Account field notes
      • Inquiry Master VA Balance
      • List Primary Virtual Accounts
      • Create Virtual Account
      • Get Virtual Account Detail
      • List Virtual Account
      • List Virtual Account Orders
      • Get Virtual Account Order Detail
      • Refund Virtual Account Order
      • List RFI Sub Virtual Account
      • Get Sub Virtual Account RFI Template Info
      • Sub Virtual Account Submit RFI
      • Add Bank Account
      • List Bank Account
      • List Banks
      • Payout via Virtual Account
      • Send Email Verify Code
    • Wallet
      • Wallet field notes
      • Deposit Whitelist
        • Get Deposit Whitelist Options
        • Register Deposit Source Address
        • List Deposit Source Addresses
        • Get Deposit Source Address
        • Disable Deposit Source Address
        • Submit Payer Details for a Received Deposit
        • Save Sub-wallet Payer Profile
        • Update Sub-wallet Payer Profile
        • Get Sub-wallet Payer Profile
        • Get Deposit Whitelist Case
      • Get Asset Balance
        GET
      • Get Deposit Address
        GET
      • Add Deposit Sender
        POST
      • Add Withdraw Whitelist
        POST
      • Delete Withdraw Whiltelist
        POST
      • Request Withdraw
        POST
      • Query Wallet Internal Transfer Detail
        GET
      • List Wallet Internal Transfer order
        GET
      • Wallet Internal Transfer
        POST
      • Create Sub Account
        POST
      • Query Transaction History
        GET
      • List Wallets
        GET
      • List Sub Account
        GET
      • Get Transaction Detail
        GET
      • List Wallet Transactions
        GET
      • Get Wallet Transaction Detail
        GET
    • Payment Link
      • Abnormal fund
        • Abnormal funds
        • Matchable Payment links
        • Link Order(Abnormal fund)
        • Submit to platform
      • Create Payment Link
      • List Payment links
      • Get Curreny Network Config
    • Convert
      • Convert field notes
      • Inquery FX Rate
      • Get Stablecoin Quote
      • Create Stable Order
      • Get Order (Single) Detail
      • List Orders(Batch)
    • KYB
      • Share KYB/KYC Info For Sub User
      • Get KYB Sub User Status
    • Reconciliation
      • Get Reconciliation Order List By Page
    • External Provider
      • FE: Create stablecoin collection sub-account link
      • FE: Deposit Travel Rule
      • External Provider · Deposit whitelist
      • Create stablecoin collection sub-account link
      • Get sub wallet account
      • List sub wallet accounts
      • Change sub wallet status
      • Query stablecoin collection order list
      • Query stablecoin collection order status
      • Get quote
      • Accept stablecoin collection order
      • Reject stablecoin collection order
      • Query USD balance
      • USD Payout (withdrawal)
      • Query USD Payout order status
      • Query USD Payout order list
      • Create deposit Travel Rule link
      • Create deposit Travel Rule detail link
    • Mock
      • Mock Virtual account Payin Order
      • Mock wallet deposit transaction
      • Mock Payin Order Refund
      • Mock Payout Order Update Status
    • Pay Session
      • Request Pay Session
    • Files
      • Request File Upload URL
  • Webhooks
    • Webhooks Overview
    • KYB notifications
    • Event catalogue
    • Resend Fail Webhook
    • Open Virtual Account Status
    • Virtual Account Payment Status
    • Virtual Account Invoice update
    • Transaction Status Notification
    • KYB Status Notification
    • Deposit Sender Detail Required
    • Abnormal Fund Notification
    • WALLET_TRANSFER_ORDER_UPDATED
    • Sub Virtual Account RFI Required
    • Sub Wallet Update
    • wallet address whitelist Update
    • Crypto Deposit Order Notification
    • Collect Order Updated
    • Usd Payout Order Updated
    • onboard result
    • partner order status
    • PaymentLink Notification
    • Deposit Whitelist Notification
  • Partner Flow
    • Share KYB/KYC and open account directly
    • Get KYB/KYC submit + open account status
    • Get Stablecoin Quote
    • Create Stable Order
    • Get Order (Single) Detail
    • List Orders(Batch)
    • Submit hash
  • Appendix
    • Enums quick reference
    • Enum
    • Virtual Account(VA) Support List & KYB requirement
  • Release Notes & Changelog
  • Errors
    • Error codes catalogue
  • Change Log
    • 2026-09-21 Virtual Account independent refund orders
    • Wallet deposit source-address whitelist
  1. Wallet

Query Transaction History

GET
/v1/wallet/history

Query Transaction History (Wallet) — DEPRECATED#

⚠️ Deprecated#

Use GET /v1/wallet/transaction/list instead.
This endpoint still works and its contract is unchanged, but it receives no further additions. The full
description now lives on the replacement.

Migrating#

HereThere
GET /v1/wallet/historyGET /v1/wallet/transaction/list
Single transaction lookupGET /v1/wallet/transaction/detail

Request

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/wallet/history?transactionId=tx_123&hash=0x0a9f3c2d5b7e98c4e0f1a9b7c3d2e1f0a9f3c2d5b7e98c4e0f1a9b7c3d2e1f0&transactionCreateTimeFrom=1640995200000&transactionCreateTimeTo=1640995202000&transactionType=sample_transactionType&lackDepositSender=true&pageSize=20&pageNumber=1' \
--header 'API-KEY: <api-key>' \
--header 'API-SIGNATURE: <api-key>' \
--header 'API-TIMESTAMP: <api-key>'

Responses

🟢200OK
application/json
Bodyapplication/json

Example
{
    "status": 200,
    "code": null,
    "msg": "OK",
    "traceId": "Auto:bf288b9af2e04dff88e943f2dcaf2b03",
    "data": {
        "pageNumber": 1,
        "pageSize": 2,
        "totalPage": 1,
        "totalRow": 2,
        "records": [
            {
                "transactionId": "txn_20250808120000123",
                "userId": "100001121",
                "currency": "USDC",
                "walletId": "wlt_6f3a21d0",
                "amount": 1250.75,
                "fee": 1.25,
                "openBalance": 10000,
                "closeBalance": 8750,
                "transactionType": "withdraw",
                "subType": "ON_CHAIN",
                "status": "success",
                "orderReference": "ord_8a7f5e11",
                "channelOrderId": "chn_5d92c0b7",
                "description": "User withdrawal to external wallet",
                "blockchainHash": "0x0a9f3c2d5b7e98c4e0f1a9b7c3d2e1f0a9f3c2d5b7e98c4e0f1a9b7c3d2e1f0",
                "blockchainHashLink": "https://etherscan.io/tx/0x0a9f3c2d5b7e98c4e0f1a9b7c3d2e1f0a9f3c2d5b7e98c4e0f1a9b7c3d2e1f0",
                "network": "ETH",
                "memo": "",
                "fromAddress": "0x1234abcd5678ef901234abcd5678ef901234abcd",
                "toAddress": "0x9abcdef0123456789abcdef0123456789abcdef0",
                "createTime": "2025-08-08T11:58:00Z",
                "updateTime": "2025-08-08T12:00:00Z",
                "processTime": "2025-08-08T11:59:10Z",
                "completeTime": "2025-08-08T12:00:00Z",
                "cancelTime": ""
            },
            {
                "transactionId": "txn_20250808115900456",
                "userId": "100001121",
                "currency": "BTC",
                "walletId": "wlt_2a9b33c1",
                "amount": 0.015,
                "fee": 0.0001,
                "openBalance": 0.25,
                "closeBalance": 0.235,
                "transactionType": "deposit",
                "status": "pending",
                "orderReference": "ord_1f2e3d4c",
                "channelOrderId": "chn_7b61a2e4",
                "description": "Inbound transfer awaiting confirmations",
                "blockchainHash": "0xb1f3d9c0a7e6543210b1f3d9c0a7e6543210b1f3d9c0a7e6543210b1f3d9c0a7",
                "blockchainHashLink": "https://www.blockchain.com/explorer/transactions/btc/0xb1f3d9c0a7e6543210b1f3d9c0a7e6543210b1f3d9c0a7e6543210b1f3d9c0a7",
                "network": "BTC",
                "memo": "",
                "fromAddress": "bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh",
                "toAddress": "bc1q9m2n3p4q5r6s7t8u9v0w1x2y3z4a5b6c7d8e9f",
                "createTime": "2025-08-08T11:59:00Z",
                "updateTime": "2025-08-08T11:59:00Z",
                "processTime": "",
                "completeTime": "",
                "cancelTime": ""
            }
        ]
    }
}
Previous
Create Sub Account
Next
List Wallets
Built with